
import 'package:redux/redux.dart';
import 'package:flutter_wisetronic/models/user.dart';

import '../actions.dart';

final userReducer = combineReducers<User?>([
  TypedReducer<User?, UpdateCurrentUser>(_updateCurrentUser)
]);

User? _updateCurrentUser(User? user, action) {
  return action.user;
}